lucene-pylucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andi Vajda <va...@apache.org>
Subject Re: [VOTE] Release PyLucene 3.1.0
Date Thu, 07 Apr 2011 04:58:52 GMT

On Wed, 6 Apr 2011, Bill Janssen wrote:

> Andi Vajda <vajda@apache.org> wrote:
>
>> There are two versions available from the lucene module:
>>
>>   >>> import lucene
>>   >>> [(v, lucene.__dict__[v]) for v in dir(lucene) if 'VERSION' in v]
>>    [('JCC_VERSION', '2.8'), ('VERSION', '3.1.0')]
>
> I suppose I could make a list of all the (JCC_VERSION, VERSION) pairs
> that I've personally verified that the code works with, and raise an error
> if a user attempts to install UpLib using a PyLucene that isn't on that
> list...  But that seems like a sub-optimal solution :-).

Seems like the best solution to me.
How can you be sure your code works otherwise ?

Andi..

Mime
View raw message